Botan: Botan::calendar_point Struct Reference

Botan 1.10.16

Public Member Functions | Public Attributes | List of all members
Botan::calendar_point Struct Reference

`#include <time.h>`

## Public Member Functions
| calendar_point (u32bit y, byte mon, byte d, byte h, byte min, byte sec)

## Public Attributes
byte | day
byte | hour
byte | minutes
byte | month
byte | seconds
u32bit | year

## Detailed Description

Struct representing a particular date and time

Definition at line 18 of file time.h.

## Constructor & Destructor Documentation

## ◆ calendar_point()

Botan::calendar_point::calendar_point | ( | u32bit | y,
|  | byte | mon,
|  | byte | d,
|  | byte | h,
|  | byte | min,
|  | byte | sec
| ) |  |
| inline

Initialize a calendar_point

Parameters

  y | the year
  mon | the month
  d | the day
  h | the hour
  min | the minute
  sec | the second

Definition at line 49 of file time.h.

References Botan::calendar_value(), Botan::get_nanoseconds_clock(), and Botan::system_time().

49 :
50 year(y), month(mon), day(d), hour(h), minutes(min), seconds(sec) {}
Botan::calendar_point::month
byte month
Definition: time.h:24
Botan::calendar_point::seconds
byte seconds
Definition: time.h:38
Botan::calendar_point::year
u32bit year
Definition: time.h:21
Botan::calendar_point::hour
byte hour
Definition: time.h:30
Botan::calendar_point::day
byte day
Definition: time.h:27
Botan::CT::min
T min(T a, T b)
Definition: ct_utils.h:127
Botan::calendar_point::minutes
byte minutes
Definition: time.h:33

## Member Data Documentation

## ◆ day

byte Botan::calendar_point::day

The day of the month, 1 through 31 (or 28 or 30 based on month

Definition at line 27 of file time.h.

Referenced by Botan::EAC_Time::EAC_Time(), and Botan::X509_Time::X509_Time().

## ◆ hour

byte Botan::calendar_point::hour

Hour in 24-hour form, 0 to 23

Definition at line 30 of file time.h.

Referenced by Botan::X509_Time::X509_Time().

## ◆ minutes

byte Botan::calendar_point::minutes

Minutes in the hour, 0 to 60

Definition at line 33 of file time.h.

Referenced by Botan::X509_Time::X509_Time().

## ◆ month

byte Botan::calendar_point::month

The month, 1 through 12 for Jan to Dec

Definition at line 24 of file time.h.

Referenced by Botan::EAC_Time::EAC_Time(), and Botan::X509_Time::X509_Time().

## ◆ seconds

byte Botan::calendar_point::seconds

Seconds in the minute, 0 to 60, but might be slightly larger to deal with leap seconds on some systems

Definition at line 38 of file time.h.

Referenced by Botan::X509_Time::X509_Time().

## ◆ year

u32bit Botan::calendar_point::year

The year

Definition at line 21 of file time.h.

Referenced by Botan::EAC_Time::EAC_Time(), and Botan::X509_Time::X509_Time().

The documentation for this struct was generated from the following file:

- src/utils/time.h